﻿@model LittleShop.Models.producto

@{
    ViewBag.Title = "VentaProductos";
}

<h2>VentaProductos</h2>

<script src="@Url.Content("~/Scripts/jquery-3.3.1.min.js")" type="text/javascript">

</script>

<script>
    $(document).ready(function () {
        $('#cantidadProducto').on('input', function () {
            $.ajax({
                data: {
                    cantidad_producto: $('#cantidadProducto').val(),
                    id_producto: @Model.id_producto
                    },
                type: "GET",
                url: '@Url.Action("precioVenta","productos")',
                success: function (resultado) {
                    $('#precioVenta').val(resultado);
                }
            });
        });
    });
</script>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>producto</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.id_producto)

        <div class="form-group">
            @Html.LabelFor(model => model.producto_nombre, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.producto_nombre, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.producto_nombre, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.producto_precio, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.producto_precio, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.producto_precio, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.producto_cantidad, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.producto_cantidad, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.producto_cantidad, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.producto_descripcion, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.producto_descripcion, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.producto_descripcion, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <label class="control-label col-md-2"> Cantidad vendida </label>
            <div class="col-md-10">
                <input type="text" id="cantidadProducto" name="cantidadProducto" placeholder="cantidad" class="form-control" />
            </div>
        </div>

        <div class="form-group">
            <label class="control-label col-md-2"> Subtotal </label>
            <div class="col-md-10">
                <input type="text" id="precioVenta" name="precioVenta" class="form-control" />
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.id_proveedor, "id_proveedor", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("id_proveedor", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.id_proveedor, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
